Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: chocosolver
Bundle-SymbolicName: org.chocosolver
Bundle-Version: 4.0.9.qualifier
Automatic-Module-Name: org.choco3
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ClassPath: libs/choco-solver-4.0.9-no-dep.jar
Export-Package: org.chocosolver.memory,
 org.chocosolver.memory.structure,
 org.chocosolver.memory.trailing,
 org.chocosolver.memory.trailing.trail,
 org.chocosolver.memory.trailing.trail.chunck,
 org.chocosolver.memory.trailing.trail.flatten,
 org.chocosolver.sat,
 org.chocosolver.solver,
 org.chocosolver.solver.constraints,
 org.chocosolver.solver.constraints.binary,
 org.chocosolver.solver.constraints.binary.element,
 org.chocosolver.solver.constraints.extension,
 org.chocosolver.solver.constraints.extension.binary,
 org.chocosolver.solver.constraints.extension.nary,
 org.chocosolver.solver.constraints.nary,
 org.chocosolver.solver.constraints.nary.alldifferent,
 org.chocosolver.solver.constraints.nary.alldifferent.algo,
 org.chocosolver.solver.constraints.nary.alldifferent.conditions,
 org.chocosolver.solver.constraints.nary.among,
 org.chocosolver.solver.constraints.nary.automata,
 org.chocosolver.solver.constraints.nary.automata.FA,
 org.chocosolver.solver.constraints.nary.automata.FA.utils,
 org.chocosolver.solver.constraints.nary.automata.structure,
 org.chocosolver.solver.constraints.nary.automata.structure.costregular,
 org.chocosolver.solver.constraints.nary.automata.structure.multicostregular,
 org.chocosolver.solver.constraints.nary.automata.structure.regular,
 org.chocosolver.solver.constraints.nary.binPacking,
 org.chocosolver.solver.constraints.nary.channeling,
 org.chocosolver.solver.constraints.nary.circuit,
 org.chocosolver.solver.constraints.nary.cnf,
 org.chocosolver.solver.constraints.nary.count,
 org.chocosolver.solver.constraints.nary.cumulative,
 org.chocosolver.solver.constraints.nary.element,
 org.chocosolver.solver.constraints.nary.globalcardinality,
 org.chocosolver.solver.constraints.nary.lex,
 org.chocosolver.solver.constraints.nary.min_max,
 org.chocosolver.solver.constraints.nary.nogood,
 org.chocosolver.solver.constraints.nary.nvalue,
 org.chocosolver.solver.constraints.nary.nvalue.amnv.differences,
 org.chocosolver.solver.constraints.nary.nvalue.amnv.graph,
 org.chocosolver.solver.constraints.nary.nvalue.amnv.mis,
 org.chocosolver.solver.constraints.nary.nvalue.amnv.rules,
 org.chocosolver.solver.constraints.nary.sort,
 org.chocosolver.solver.constraints.nary.sum,
 org.chocosolver.solver.constraints.nary.tree,
 org.chocosolver.solver.constraints.real,
 org.chocosolver.solver.constraints.reification,
 org.chocosolver.solver.constraints.set,
 org.chocosolver.solver.constraints.ternary,
 org.chocosolver.solver.constraints.unary,
 org.chocosolver.solver.exception,
 org.chocosolver.solver.explanations,
 org.chocosolver.solver.explanations.store,
 org.chocosolver.solver.expression.continuous.arithmetic,
 org.chocosolver.solver.expression.continuous.relational,
 org.chocosolver.solver.expression.discrete.arithmetic,
 org.chocosolver.solver.expression.discrete.logical,
 org.chocosolver.solver.expression.discrete.relational,
 org.chocosolver.solver.objective,
 org.chocosolver.solver.propagation,
 org.chocosolver.solver.search,
 org.chocosolver.solver.search.limits,
 org.chocosolver.solver.search.loop,
 org.chocosolver.solver.search.loop.learn,
 org.chocosolver.solver.search.loop.lns,
 org.chocosolver.solver.search.loop.lns.neighbors,
 org.chocosolver.solver.search.loop.monitors,
 org.chocosolver.solver.search.loop.move,
 org.chocosolver.solver.search.loop.propagate,
 org.chocosolver.solver.search.measure,
 org.chocosolver.solver.search.restart,
 org.chocosolver.solver.search.strategy,
 org.chocosolver.solver.search.strategy.assignments,
 org.chocosolver.solver.search.strategy.decision,
 org.chocosolver.solver.search.strategy.selectors.values,
 org.chocosolver.solver.search.strategy.selectors.variables,
 org.chocosolver.solver.search.strategy.strategy,
 org.chocosolver.solver.trace,
 org.chocosolver.solver.trace.frames,
 org.chocosolver.solver.variables,
 org.chocosolver.solver.variables.delta,
 org.chocosolver.solver.variables.delta.monitor,
 org.chocosolver.solver.variables.events,
 org.chocosolver.solver.variables.impl,
 org.chocosolver.solver.variables.impl.scheduler,
 org.chocosolver.solver.variables.view,
 org.chocosolver.util,
 org.chocosolver.util.criteria,
 org.chocosolver.util.graphOperations.connectivity,
 org.chocosolver.util.graphOperations.dominance,
 org.chocosolver.util.iterators,
 org.chocosolver.util.objects,
 org.chocosolver.util.objects.graphs,
 org.chocosolver.util.objects.queues,
 org.chocosolver.util.objects.setDataStructures,
 org.chocosolver.util.objects.setDataStructures.bitset,
 org.chocosolver.util.objects.setDataStructures.constant,
 org.chocosolver.util.objects.setDataStructures.iterable,
 org.chocosolver.util.objects.setDataStructures.linkedlist,
 org.chocosolver.util.objects.setDataStructures.swapList,
 org.chocosolver.util.procedure,
 org.chocosolver.util.sort,
 org.chocosolver.util.tools
Bundle-Vendor: choco-solver.org
Require-Bundle: gnu.trove4j,
 org.chocosolver.cutoffseq;bundle-version="1.0.5"
